
using inutralia.ViewModels;
using System;
using Xamarin.Forms;

namespace inutralia.Views.NutriQuestion
{
    public partial class CreateNutriQuestion : ContentPage
    {
        protected CreateNutriQuestionViewModel ViewModel => BindingContext as CreateNutriQuestionViewModel;

        public CreateNutriQuestion()
        {
            InitializeComponent();
            BindingContext = new CreateNutriQuestionViewModel();

        }

        protected override async void OnAppearing()
        {
            base.OnAppearing();

        }


        async void OnCreateButtonClicked(object sender, EventArgs e)
        {
            try
            {
                var subjectValue = asunto.Text;
                var messageValue = consultaEditor.Text;


                if (subjectValue == null || messageValue == null)
                {
                    await DisplayAlert("Fallo", "El campo asunto y consulta no pueden ir vacíos. Son campos obligatorios.", "Entendido");

                }
                else
                {
                    await ViewModel.SaveData(subjectValue, messageValue);

                    await DisplayAlert("Exito", "La consulta se ha enviado correctamente.", "Entendido");

                    (App.Current.MainPage as RootPage).Navigate<NutriQuestionListView>();
                }



            }

            catch (Exception)
            {
                await DisplayAlert("Error", "Se ha producido un error. Por favor, intentelo más tarde", "Entendido");
            }
        }

    }
}